Summary: Wnn6 Client Library
Name: Wnn6-SDK
Version: 1.0
Release: 1a
Source0: ftp://ftp.omronsoft.co.jp/pub/Wnn6/sdk_source/Wnn6-SDK-sources.tar.gz
Patch0: localhost:/wnn6-sdk_config.patch
Patch1: localhost:/wnn6-sdk_incl.patch
Patch2: localhost:/wnn6-sdk_shared.patch
Patch3: localhost:/wnn6-sdk_malloc.patch

Copyright: OMRON Corporation, OMRON Software Co., Ltd.
Group: Extensions/Japanese
Distribution: Japanese RPM (JRPM)
Vendor:       Linux Japanese RPM Project 
BuildRoot: /var/tmp/root-Wnn6
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%package devel
Summary: development library and header file for Wnn6
Group: Extensions/Japanese
Conflicts: Wnn-devel
%description devel
This package contains header files and libraries for Wnn6
client developments.

%changelog
* Mon Nov 10 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 1st release

%prep
%setup -n src
mv contrib/im/Xsi/README .
cd contrib/im/Xsi
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd contrib/im/Xsi
make World -f Makefile.ini

%install
cd contrib/im/Xsi
make install DESTDIR=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT/usr/local/lib
ln -sf libwnn6.so.1.0.0 libwnn.so

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc README
/usr/local/lib/libwnn6.so.1.0.0
/usr/local/lib/libwnn6.so.1.0

%files devel
/usr/local/lib/libwnn.a
/usr/local/lib/libwnn.so

%dir /usr/local/include/wnn/
     /usr/local/include/wnn/*.h
